Bug 381491 - ps3pf-utils in ppc64-utils no longer works
ps3pf-utils in ppc64-utils no longer works
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ppc64-utils (Show other bugs)
8
ppc64 Linux
low Severity low
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 23:05 EST by Kazunori Asayama
Modified: 2014-01-12 19:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-11 13:16:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kazunori Asayama 2007-11-13 23:05:55 EST
Description of problem:

  The ps3pf-utils in ppc64-utils package is obsolete and no longer works with
the recent kernels.

Version-Release number of selected component (if applicable):

  ppc64-utils-0.12-3.fc8

How reproducible:

  always

Steps to Reproduce:
1. run 'ps3-boot-game-os'

Actual results:

# ps3-boot-game-os
ls: cannot access sd*: No such file or directory
Usage:
  other-os-flash-util [-b|-B] [-g|-r] flash_device [boot_loader_img]
  other-os-flash-util -s flash_device
  other-os-flash-util -d flash_device

Options:
  -s   show current settings
  -d   print difference of clock time between game os and linux
  -b   change boot flag : boot game os
  -B   change boot flag : boot linux
  -g   change boot loader format flag : compressed by gzip
  -r   change boot loader format flag : not compressed
ERROR: can't change boot flag


Expected results:

  The system is rebooted and switches to the game OS.

Additional info:

  The latest version is available at:

    git://git.kernel.org/pub/scm/linux/kernel/git/geoff/ps3-utils.git

  and it should work.
Comment 1 Kazunori Asayama 2007-11-14 01:23:21 EST
>Steps to Reproduce:
>1. run 'ps3-boot-game-os'

It's a typo. The obsolete version is 'boot-game-os', rather than 'ps3-boot-game-os'.
Comment 2 Fedora Update System 2008-08-11 09:01:15 EDT
ps3pf-utils-2.1-1.fc8 has been submitted as an update for Fedora 8
Comment 3 Roman Rakus 2008-08-11 09:36:23 EDT
Can you please try that newer ps3pf-utils-2.1-1.fc8?
Comment 4 Kazunori Asayama 2008-08-11 10:23:42 EDT
(In reply to comment #3)
> Can you please try that newer ps3pf-utils-2.1-1.fc8?

It works.
Comment 5 Fedora Update System 2008-08-12 14:26:46 EDT
ps3pf-utils-2.1-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ps3pf-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7230
Comment 6 Fedora Update System 2008-09-11 13:16:45 EDT
ps3pf-utils-2.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.